### Method

# Gio File equal

#### Declaration [src]

    gboolean
    g_file_equal (
      GFile* file1,
      GFile* file2
    )

#### Description [src]

Checks if the two given `GFiles` refer to the same file.

This function can be used with `g_file_hash()` to insert `GFile`s efficiently in a hash table.

Note that two `GFiles` that differ can still refer to the same file on the filesystem due to various forms of filename aliasing. For local files, this function essentially compares the file paths, so two `GFile`s which point to different hard or soft links will not be considered equal, despite pointing to the same content.

For determining whether two files are hardlinked, see `G_FILE_ATTRIBUTE_ID_FILE`.

This call does no blocking I/O.

#### Parameters

`file2`

  Type: `GFile`

  The second `GFile`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `file1` and `file2` are equal.